.TH sxpc 1 "09sep1993" "X" "X"
.SH NAME
The Simple X Protocol Compressor
.SH SYNOPSIS
This program provides compression of the X protocol stream. It is intended to be used to improve the performance of X applications over a slow internet connection.  (e.g. slip, cslip, or term) It assumes a Unix operating system at  both ends of the link. Transferring large bitmaps or images through sxpc may be slower than not using it.  The algorithms used are geared primarily for the data exchanged during interactive use where the same data may be sent several times with only small changes.  (e.g. editing) 


WARNING WARNING  DANGER DANGER

If you use this program, use xauth to provide SECURITY, since  host-based security will be BYPASSED.  See README.xauth. (If somebody knows you are running sxpc they will be able to connect to your server and watch what you type, what shows up on your screen, or type for you... A BAD THING :-()

.SH DESCRIPTION
For notes on using sxpc with term see README.term.
.PP
On the X clients' host:
.PP
For csh based shells:
.PP
setenv DISPLAY `sxpc remote $DISPLAY `

For sh based shells:
.PP
DISPLAY=`sxpc remote $DISPLAY`
.PP
export DISPLAY
.PP
(where $DISPLAY is the display setting you would normally use to connect to the X server from the clients' host.) 
 
On the X server host:
 sxpc local $DISPLAY

.SH ENVIRONMENT VARIABLES
.PP
XCLIENTGATEPORT
.PP
Sets the base port on which clients will connect to the  X server.  This will be added to the display number to get the final port number.  The default is 6008 so that by default the DISPLAY setting to connect to sxpc will be localhost:DisplayNumber+8:0.0 

XCOMPGATEPORT
.PP
Sets the base port on which the sxpc running on the X server host will listen for connections. This will be added to the display number to get the final port number.  The default is 4000 so that the sxpc on the X server host will listen on port 4000 (if it is directed to display on display 0.)

.SH AUTHOR
Rob Ryan (robr@cmu.edu)
